Bug 16033 - Quotes upload preview broken for 973 days
Summary: Quotes upload preview broken for 973 days
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/tools/quotes-upload.pl
Keywords:
Depends on: 10558
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 19:46 UTC by Owen Leonard
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16033 - Quotes upload preview broken for 973 days (1.58 KB, patch)
2016-03-09 19:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16033 - Quotes upload preview broken for 973 days (1.74 KB, patch)
2016-03-10 06:36 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 16033 - Quotes upload preview broken for 973 days (1.81 KB, patch)
2016-03-10 12:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-09 19:46:30 UTC
In my follow-up patch to Bug 10558 I made some changes to the way DataTables displayed which broke the preview of quotes uploaded to the Quote of the Day manager. 2 years, 7 months, and 28 days later I have returned to fix it.
Comment 1 Owen Leonard 2016-03-09 19:55:45 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-03-10 06:36:29 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-10 12:09:03 UTC
Created attachment 48950 [details] [review]
Bug 16033 - Quotes upload preview broken for 973 days

A missing snippet of DataTable configuration means that when you upload
a CSV of quotes to the Quotes of the Day feature the table previewing
your import is not visible. This patch corrects it.

To test, apply the patch and go to Tools -> Quote editor -> Import
quotes.

- Upload a CSV file containing data in two columns, "source","text"
- When your upload completes you should see a DataTable previewing the
  data from your CSV.
- Check that deletion of individual quotes works from the preview.
- Check that quotes are correctly imported.
- Ponder the long 2.66 years during which this page was broken.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Quote of the day: Serenity of mind comes with patience.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-11 15:28:07 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-03-14 09:31:54 UTC
Patch pushed to 3.22.x, will be in 3.22.5
Comment 6 Frédéric Demians 2016-03-15 09:05:12 UTC
This patch has been pushed to 3.20.x, will be in 3.20.10.